/*
 * conf.h
 *
 * This file tries to sort out which compiler supports what with which
 * header.
 *
 * $Id: conf.h,v 1.1.2.1 2002/05/09 23:13:44 someuser Exp $
 *
 */

/*
 * Copyright (C) 2002 Isaac W. Foraker (isaac(at)tazthecat.net)
 * All Rights Reserved
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 * 3. Neither the name of the Author nor the names of its contributors
 *    may be used to endorse or promote products derived from this
 *    software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */

#ifndef __libtpt_conf_h
#define __libtpt_conf_h

#ifdef _MSC_VER
#	include <stdio.h>		// for va_list, required by native.h
#	include <process.h>		// For Win32 (getpid)
#	if _MSC_VER <= 1200
#		include <native.h>
#	else
		typedef __int64 int64_t;
#	endif
#else
#	include <unistd.h>		// For BSD & Solaris (getpid)
#	include <sys/types.h>
#endif

#if defined(_MSC_VER)
#	if _MSC_VER <= 1200
// Older version of MSVC do not support throw() declaration
#		pragma warning(disable : 4290)
#	endif
// Turn off warnings for long symbol names caused by the STL
#	pragma warning(disable : 4786)
#endif

#endif // __libtpt_conf_h
